PROJ = ar_DOS
PROJFILE = ar_DOS.mak
DEBUG = 1

PWBRMAKE  = pwbrmake
NMAKEBSC1  = set
NMAKEBSC2  = nmake
BRFLAGS  =	/o $(PROJ).bsc /Es /Iu
BROWSE	= 1
CC	= cl
CFLAGS_G  = /AL /W4 /BATCH /FR$*.sbr
CFLAGS_D  = /qc /Gi$(PROJ).mdt /Zr /Zi /Od
CFLAGS_R  = /Ot /Oi /Ol /Oe /Og /Gs
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  =  /NOI  /BATCH
LFLAGS_D  =  /CO /NOF /NOP
LFLAGS_R  = /EXE /FAR /PACKC
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
LLIBS_R  =	/NOD:LLIBCE LLIBCER
LLIBS_D  =	/NOD:LLIBCE LLIBCER

OBJS  = AR.obj DECODE.obj ENCODE.obj HUF.obj MAKETBL.obj MAKETREE.obj IO.obj

all: $(PROJ).exe

.SUFFIXES:
.SUFFIXES: .obj .c

AR.obj : AR.C ar.h

DECODE.obj : DECODE.C ar.h

ENCODE.obj : ENCODE.C ar.h

HUF.obj : HUF.C ar.h

MAKETBL.obj : MAKETBL.C ar.h

MAKETREE.obj : MAKETREE.C ar.h

IO.obj : IO.C ar.h


$(PROJ).bsc : 

$(PROJ).exe : $(OBJS)
!IF $(DEBUG)
		$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
		$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
) +
$(LIBS: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
!IF $(DEBUG)
		$(LINKER) @$(PROJ).lrf
!ELSE
		$(LINKER) @$(PROJ).lrf
!ENDIF
		$(NMAKEBSC1) MAKEFLAGS=
		$(NMAKEBSC2) $(NMFLAGS) -f $(PROJFILE) $(PROJ).bsc


.c.obj :
!IF $(DEBUG)
		$(CC) /c $(CFLAGS_G) $(CFLAGS_D) /Fo$@ $<
!ELSE
		$(CC) /c $(CFLAGS_G) $(CFLAGS_R) /Fo$@ $<
!ENDIF


run: $(PROJ).exe
		$(PROJ).exe $(RUNFLAGS)

debug: $(PROJ).exe
		CV $(CVFLAGS) $(PROJ).exe $(RUNFLAGS)
